Subject: Re: bug#26268: [PATCH] gnu: Add emacs-idle-highlight.

From: Vasile Dumitrascu <[email-masked]>
Date: Tue, 28 Mar 2017 18:59:00 +0000

Hi Alex

  I agree with your observations. To explain my previous choice: I was
using melpa as source for the packages as I have found the option to
import from melpa in
https://www.gnu.org/software/guix/manual/guix.html#Invoking-guix-import
so I thought that this is the recommended approach. The document should
be updated to mention this as not recommended for contributions, for the
reasons you have mentioned.

  Maybe rather we should have a predefined import task that easily
imports from github or git based repositories (I could not find one in
the docs).

  I will make the changes for this and the previous submitted packages
and refile patches. Thank you,

   Vasile

Alex Kost:
> Vasile Dumitrascu (2017-03-27 01:39 +0200) wrote:
> 
> Hello Vasile!
> 
>>     * gnu/packages/emacs.scm (emacs-idle-highlight): New variable.
>> ---
>>  gnu/packages/emacs.scm | 21 +++++++++++++++++++++
>>  1 file changed, 21 insertions(+)
>>
>> diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
>> index 4fe2ffa4d..02f92bc26 100644
>> --- a/gnu/packages/emacs.scm
>> +++ b/gnu/packages/emacs.scm
>> @@ -3960,3 +3960,24 @@ abbreviation and automatically expand it into function templates.")
>>     (description "@code{emacs-memoize} is an Emacs library for
>>  memoizing functions.")
>>     (license license:unlicense)))
>> +
>> +(define-public emacs-idle-highlight
>> +  (package
>> +    (name "emacs-idle-highlight")
>> +    (version "20120920.948")
>> +    (source
>> +     (origin
>> +       (method url-fetch)
>> +       (uri (string-append
>> +             "http://melpa.org/packages/idle-highlight-mode-"
>> +             version ".el"))
> 
> We don't (at least we shouldn't IMO) use files from MELPA.  The problem
> is: once the original source will be updated on github, MELPA will build
> it and the previous MELPA version will not be available anymore.
> 
> So I think it's better to use the original source which is:
> 
>   https://github.com/nonsequitur/idle-highlight-mode/archive/1.1.3.tar.gz
> 
> Could you send an updated patch with this tarball?
> 
> Sorry, I missed your previous emacs packages (symon, monroe and
> keyfreq), which are committed already, but eventually they will become
> "broken": for example, when there will be a new commit in "monroe"
> repository, MELPA will build the new version and the current
> "monroe-20170220.540.el" file will be removed from MELPA, so the current
> 'emacs-monroe' package could never be built after that.
> 
> The situation was much worse in the past, when MELPA updated even
> untouched(!) packages every several hours, so their hashes were changing
> all the time, so the files from MELPA couldn't be used at all.
> Nowadays, MELPA updates packages only when there are some changes in the
> source.
> 
>> +       (sha256
>> +        (base32
>> +         "083ihf97a20l9pbqgn9jh6vdx97z40mp2fhi17qs90a16hpfhx5j"))))
>> +    (build-system emacs-build-system)
>> +    (home-page "http://www.emacswiki.org/cgi-bin/wiki/IdleHighlight")
> 
> For me it is redirected to
> <https://www.emacswiki.org/emacs/IdleHighlight> so I think it's better
> to use this page.
> 
>> +    (synopsis "Highlights all occurences of the word the point is on")
>> +    (description
>> +     "@code{idle-highlight-mode} sets an idle timer that highlights all
>> +occurences in the buffer of the word under the point.")
> 
> Usually we mention "Emacs" in synopsis or description, like:
> 
> "This Emacs package provides @code{idle-highlight-mode} that sets an
> idle timer to highlight all occurences in the buffer of the word under
> the point."
> 
>> +    (license license:gpl3+)))
>